Hanzo
API Reference

Hanzo DID API

Hanzo DID provides decentralized identity, user profiles, organization

Hanzo DID provides decentralized identity, user profiles, organization

Base URLhttps://did.hanzo.ai
Version1.0.0
Operations15
GuideHanzo DID API guide

Authentication

  • bearerAuth — HTTP bearer
  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://did.hanzo.ai

Endpoints

Directories

MethodEndpointDescription
GET/v1/did/directories/{organization}Get organization directory
GET/v1/did/directories/{organization}/teamsList teams
POST/v1/did/directories/{organization}/teamsCreate a team
GET/v1/did/directories/{organization}/teams/{team}Get team members

Health

MethodEndpointDescription
GET/healthHealth check

Identity Resolution

MethodEndpointDescription
GET/v1/did/profiles/{profile_id}/identitiesList linked identities
POST/v1/did/profiles/{profile_id}/identitiesLink an external identity
DELETE/v1/did/profiles/{profile_id}/identities/{provider}Unlink an external identity
GET/v1/did/resolveResolve identity across providers

Profiles

MethodEndpointDescription
GET/v1/did/profilesList profiles
GET/v1/did/profiles/{profile_id}Get a profile
PUT/v1/did/profiles/{profile_id}Update a profile
GET/v1/did/profiles/{profile_id}/historyGet profile change history

SCIM

MethodEndpointDescription
GET/v1/did/scim/v2/UsersSCIM list users
POST/v1/did/scim/v2/UsersSCIM create user

Hanzo DID API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page